Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
token_info Struct Reference

## Data Fields
const char * | token
rb_code_position_t | beg
int | indent
int | nonspc
struct token_info * | next

## Detailed Description

Definition at line 251 of file ripper.c.

## Field Documentation

## ◆ beg

rb_code_position_t token_info::beg

Definition at line 253 of file ripper.c.

## ◆ indent

int token_info::indent

Definition at line 254 of file ripper.c.

## ◆ next

struct token_info * token_info::next

Definition at line 256 of file ripper.c.

## ◆ nonspc

int token_info::nonspc

Definition at line 255 of file ripper.c.

## ◆ token

const char * token_info::token

Definition at line 252 of file ripper.c.

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c